export interface ProcessedCharacter {
    source: string;
    transformed: string[];
}
export declare type ProcessedWord = ProcessedCharacter[];
export declare type ProcessedStream = ProcessedWord[];
export declare const isProcessedWord: (processedInput: ProcessedCharacter | ProcessedCharacter[]) => processedInput is ProcessedCharacter[];
export declare const isProcessedCharacter: (processedInput: ProcessedCharacter | ProcessedCharacter[]) => processedInput is ProcessedCharacter;
export declare const process: (inputString: string) => ProcessedCharacter[][];
export declare const toString: (stream: ProcessedCharacter[][]) => string;
